[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# SetCurrentDir

Set the current directory of the application.

## Declaration

Source position: diskh.inc line 20

`function SetCurrentDir(`
`const NewDir: RawByteString`
`):Boolean; function SetCurrentDir(`
`const NewDir: UnicodeString`
`):Boolean;`

## Description

SetCurrentDir sets the current working directory of your program to NewDir. It returns True if the function was successful, False otherwise.

## Errors

In case of error, False is returned.

## See also

GetCurrentDir |  | Return the current working directory of the application.